//------------------------------------------------------------------------------
// Copyright (C) 2011, Robert Johansson, Raditex AB
// All rights reserved.
//
// FreeSCADA 
// http://www.FreeSCADA.com
// freescada@freescada.com
//
//------------------------------------------------------------------------------

#ifndef MBUS_SERIAL_H
#define MBUS_SERIAL_H

#include <unistd.h>
#include <fcntl.h>

#include <sys/socket.h>
#include <sys/types.h>
#include <sys/uio.h>

#include <arpa/inet.h>
#include <netinet/in.h>
#include <netdb.h>
#include <termios.h>
#include <mbus.h>

typedef struct _mbus_serial_handle {

    char *device;

    int fd;
    struct termios t;
 
} mbus_serial_handle;


mbus_serial_handle *mbus_serial_connect(char *device);
int                 mbus_serial_disconnect(mbus_serial_handle *handle);
int                 mbus_serial_send_frame(mbus_serial_handle *handle, mbus_frame *frame);
int                 mbus_serial_recv_frame(mbus_serial_handle *handle, mbus_frame *frame);

#endif /* MBUS_SERIAL_H */



