//------------------------------------------------------------------------------
// Copyright (C) 2011, Robert Johansson, Raditex AB
// All rights reserved.
//
// FreeSCADA 
// http://www.FreeSCADA.com
// freescada@freescada.com
//
//------------------------------------------------------------------------------

#ifndef MBUS_TCP_H
#define MBUS_TCP_H

#include <unistd.h>
#include <fcntl.h>

#include <sys/socket.h>
#include <sys/types.h>
#include <sys/uio.h>

#include <arpa/inet.h>
#include <netinet/in.h>
#include <netdb.h>

#include <mbus.h>

typedef struct _mbus_tcp_handle {

    char *host;

    int port;
    int sock;

} mbus_tcp_handle;


mbus_tcp_handle *mbus_tcp_connect(char *host, int port);
int              mbus_tcp_disconnect(mbus_tcp_handle *handle);
int              mbus_tcp_send_frame(mbus_tcp_handle *handle, mbus_frame *frame);
int              mbus_tcp_recv_frame(mbus_tcp_handle *handle, mbus_frame *frame);

#endif /* MBUS_TCP_H */



